Subject: Re: [PATCH] Makefile: generate Git(3pm) as dependency of the 'doc' and 'man' targets

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 15 Feb 2018 09:52:13 +0100

On Thu, Feb 15 2018, SZEDER Gábor jotted:

> Since commit 20d2a30f8f (Makefile: replace perl/Makefile.PL with
> simple make rules, 2017-12-10), the Git(3pm) man page is only
> generated as an indirect dependency of the 'install-doc' and
> 'install-man' Makefile targets.  Consequently, if someone runs 'make
> man && sudo make install-man' (or their 'doc' counterparts), then
> Git(3pm) will be generated as root, and the resulting root-owned files
> and directories will in turn cause the next user-run 'make clean' to
> fail.  This was not an issue in the past, because Git(3pm) was
> generated when 'make all' descended into 'perl/', which is usually not
> run as root.
>
> List Git(3pm) as a dependency of the 'doc' and 'man' Makefile targets,
> too, so it gets generated by targets that are usually built as
> ordinary users.
>
> While at it, add 'install-man-perl' to the list of .PHONY targets.

Thanks for the fixup of my crappy 'make' skills. I tested this before
the patch and it indeed has the problem you describe, and this fixes
it. Thanks! CC-ing Junio because I think it makes sense to pick this up
as-is.

Reviewed-by: Ævar Arnfjörð Bjarmason <[email-masked]>